Bug 1268151 - [RFE] RHEV_M-Report that shows the Active VMs running on particular hosts and sort it
[RFE] RHEV_M-Report that shows the Active VMs running on particular hosts and...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
3.5.1
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Shirly Radco
Pavel Stehlik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 19:18 EDT by Sarvesh Pandit
Modified: 2016-06-01 04:45 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Cause: Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-01 04:45:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Reports
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1978183 None None None Never

  None (edit)
Description Sarvesh Pandit 2015-10-01 19:18:13 EDT
Description of problem:
Currently there is no report which shows the Active VMs running on particular hosts and there is option to sort it by host or VM.

Version-Release number of selected component (if applicable):
rhevm-3.5.1.1-0.1.el6ev.noarch
rhevm-reports-3.5.1-12.el6ev.noarch

If this kind of report is included then it will be good. This type of report will give more clear idea about status of the active VM and on which host it is running.
Comment 2 Yaniv Lavi 2015-10-11 13:32:54 EDT
This can be done easily via ad hoc reports, please refer to docs and you should be able to do this.
Comment 9 Einav Cohen 2015-11-24 08:19:30 EST
(In reply to Sarvesh Pandit from comment #0)
> Description of problem:
> Currently there is no report which shows the Active VMs running on
> particular hosts and there is option to sort it by host or VM.
> 

@Bimal / Sarvesh, try to search in the web-admin/api as follows:

"VMs: status = up host = host-1-name or host = host-2-name or ... or = host-n-name"

[the above is effectively: 
--
VMs: status = up AND (host = host-1-name or host = host-2-name or ... or = host-n-name)
--]

will that be sufficient?
Comment 10 Sarvesh Pandit 2015-11-24 11:20:23 EST
(In reply to Einav Cohen from comment #9)
> (In reply to Sarvesh Pandit from comment #0)
> > Description of problem:
> > Currently there is no report which shows the Active VMs running on
> > particular hosts and there is option to sort it by host or VM.
> > 
> 
> @Bimal / Sarvesh, try to search in the web-admin/api as follows:
> 
> "VMs: status = up host = host-1-name or host = host-2-name or ... or =
> host-n-name"
> 
> [the above is effectively: 
> --
> VMs: status = up AND (host = host-1-name or host = host-2-name or ... or =
> host-n-name)
> --]
> 
> will that be sufficient?

Hello Einav,

Yes we can see the list but actually, Customer is looking for status in reports not in admin portal.

Is it possible have it in reports?
Comment 13 Shirly Radco 2016-06-01 04:45:22 EDT
Removing support for reports in 4.0.
Will reopen if relevant.

Note You need to log in before you can comment on or make changes to this bug.